PQ2-CACHE(1)

NAME
pq2-cache - display or clear the local cache content of a remote dataset meta-repository based on ROOT files

SYNOPSIS
pq2-cache [action] [options] [datasets]

DESCRIPTION
This manual page documents briefly the pq2-cache program.

pq2-cache is a script invoking the pq2 ROOT application to display or clear the local cache content of a remote dataset meta-repository based on ROOT files; the repository can be accessed via a remote file server daemon.

More details about the underlying 'pq2' application can be found in the man page pq2(1).

ACTIONS

show
    Display cache content (default)

clear
    Clear cache content

ARGUMENTS

datasets
    Datasets to processed; wildcards are supported.

OPTIONS

-h, --help
    Display help information.

-k, --keep
    Keep the temporary files created during the analysis under $TMPDIR

-v  Verbose mode

--dataset=<dataset>
    Alternative way to define the datasets to be removed.

-u <serverurl>, --url=<serverurl>
    URL of the data server providing the information; it must include the directory. Can also be specified via the environment variables PQ2DSSRVURL (see ENVIRONMENT VARIABLES)."

-t <dir>, --tmpdir=<dir>
    Directory for temporary files; defualt is /tmp/<username>.

ENVIRONMENT VARIABLES
See setup-pq2(1).

SEE ALSO
pq2(1), setup-pq2(1), pq2-ls(1), pq2-ls-files(1), pq2-ls-files-server(1), pq2-info-server(1), pq2-ana-dist(1), pq2-put(1), pq2-verify(1), pq2-rm(1)

For more information on the ROOT system, please refer to http://root.cern.ch (http://root.cern.ch/)

ORIGINAL AUTHORS
Gerardo Ganis for the ROOT team.

COPYRIGHT
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was originally written by Gerardo Ganis <gerardo.ganis@cern.ch>, for ROOT version 5.